Bug 43639 - Maps control does not keep its center when resized
Summary: Maps control does not keep its center when resized
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.2
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-08-22 22:41 UTC by Jean
Modified: 2017-01-03 11:41 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Jean 2016-08-22 22:41:21 UTC
It seems that the map control does not keep its center when it is resized (I am resizing the grid row on the following hierarchy: grid.row>relativepanel>map ).
The behavior is a bit weird, I am only resizing the height and in all cases resizing the row makes the top of the map going north.
Comment 1 Jean 2016-08-22 22:43:54 UTC
PS: I have only tested that on Android for the moment
Comment 2 adrianknight89 2016-11-18 16:03:24 UTC
Can you attach a repro?
Comment 3 adrianknight89 2016-11-24 19:53:26 UTC
Ref https://github.com/xamarin/Xamarin.Forms/pull/548
Comment 4 Rui Marinho 2017-01-03 11:41:24 UTC
Should be fixed in 2.3.4-pre2, please reopen if you still have a issue after trying that version.

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 43639 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: